version: '3.4'

services:
  api.institute:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro
  api.teacher:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro

  api.student:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro

  api.user:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro

  api.bucket:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro

  api.admin:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro

  api.gateway:
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
    ports:
      - "80"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro
